VeraCrypt
aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsrc/Build/build_veracrypt_macosx.sh7
-rwxr-xr-xsrc/Setup/MacOSX/veracrypt.pkgproj8
2 files changed, 8 insertions, 7 deletions
diff --git a/src/Build/build_veracrypt_macosx.sh b/src/Build/build_veracrypt_macosx.sh
index 1762e3a..6dd6337 100755
--- a/src/Build/build_veracrypt_macosx.sh
+++ b/src/Build/build_veracrypt_macosx.sh
@@ -19,15 +19,16 @@ echo "Using wxWidgets sources in $WX_ROOT"
# this will be the temporary wxWidgets directory
export WX_BUILD_DIR=$PARENTDIR/wxBuild
-# define the SDK version to use. We use 10.6 by default
-export VC_OSX_TARGET=10.6
+# define the SDK version to use. We use 10.7 by default
+export VC_OSX_TARGET=10.7
echo "Using MacOSX SDK $VC_OSX_TARGET"
cd $SOURCEPATH
echo "Building VeraCrypt"
-make WXSTATIC=1 wxbuild && make WXSTATIC=1 clean && make WXSTATIC=1 && make WXSTATIC=1 package
+#make WXSTATIC=1 wxbuild && make WXSTATIC=1 clean && make WXSTATIC=1 && make WXSTATIC=1 package
# Uncomment below and comment line above to reuse existing wxWidgets build
# make WXSTATIC=1 clean && make WXSTATIC=1 && make WXSTATIC=1 package
+make WXSTATIC=1 && make WXSTATIC=1 package \ No newline at end of file
diff --git a/src/Setup/MacOSX/veracrypt.pkgproj b/src/Setup/MacOSX/veracrypt.pkgproj
index 364dd63..4f4105f 100755
--- a/src/Setup/MacOSX/veracrypt.pkgproj
+++ b/src/Setup/MacOSX/veracrypt.pkgproj
@@ -646,7 +646,7 @@
<key>VALUE</key>
<dict>
<key>PATH</key>
- <string>../../Release/Setup Files/License.txt</string>
+ <string>../../License.txt</string>
<key>PATH_TYPE</key>
<integer>1</integer>
</dict>
@@ -736,7 +736,7 @@
<key>IC_REQUIREMENT_OS_DISTRIBUTION_TYPE</key>
<integer>0</integer>
<key>IC_REQUIREMENT_OS_MINIMUM_VERSION</key>
- <integer>100601</integer>
+ <integer>100701</integer>
</dict>
<key>IC_REQUIREMENT_CHECK_TYPE</key>
<integer>0</integer>
@@ -748,13 +748,13 @@
<key>LANGUAGE</key>
<string>English</string>
<key>VALUE</key>
- <string>VeraCrypt requires MacOSX 10.6.1 and above.</string>
+ <string>VeraCrypt requires MacOSX 10.7.1 and above.</string>
</dict>
<dict>
<key>LANGUAGE</key>
<string>French</string>
<key>VALUE</key>
- <string>VeraCrypt nécessite MacOSX 10.6.1 et supérieur.</string>
+ <string>VeraCrypt nécessite MacOSX 10.7.1 et supérieur.</string>
</dict>
</array>
<key>NAME</key>